apeman-scaffold-proto
==========

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]

[bd_repo_url]: https://github.com/apeman-scaffold-labo/apeman-scaffold-proto
[bd_travis_url]: http://travis-ci.org/apeman-scaffold-labo/apeman-scaffold-proto
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-scaffold-labo/apeman-scaffold-proto.svg?style=flat
[bd_license_url]: https://github.com/apeman-scaffold-labo/apeman-scaffold-proto/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-scaffold-labo/apeman-scaffold-proto
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-scaffold-labo/apeman-scaffold-proto.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-scaffold-labo/apeman-scaffold-proto.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-scaffold-labo/apeman-scaffold-proto
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-scaffold-labo/apeman-scaffold-proto.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman-scaffold-proto
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman-scaffold-proto.svg?style=flat
[bd_bower_badge_url]: https://img.shields.io/bower/v/apeman-scaffold-proto.svg?style=flat

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Scaffold for proto projects.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/readme/01.Installation.md.hbs" Start -->

<a name="section-doc-readme-01-installation-md"></a>
Installation
-----

```bash
npm install apeman-scaffold-proto --save-dev
```

<!-- Section from "doc/readme/01.Installation.md.hbs" End -->

<!-- Section from "doc/readme/02.Usage.md.hbs" Start -->

<a name="section-doc-readme-02-usage-md"></a>
Usage
---------

```javascript
var apemanScaffold = require('apeman-scaffold'),
    scaffold = require('apeman-scaffold-proto');

apemanScaffold(scaffold, 'project/my-awesome-project', {
    silent: false,
    force: false
}, function (err) {
    /*...*/
});

```

<!-- Section from "doc/readme/02.Usage.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-scaffold-labo/apeman-scaffold-proto/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://github.com/apeman-labo/apeman)
+ [apeman-scaffold](https://github.com/apeman-labo/apeman-scaffold)

<!-- Links End -->
